Skip to content

List media

View as Markdown
get /api/medias

Retrieves the collection of Media resources.

Returns a paginated collection of media in the current organization.

Query parameters

NameTypeRequiredDescription
pageinteger-The collection page number
itemsPerPageinteger-The number of items per page
idstring-
id[]string[]-
typestring-
type[]string[]-

Response

200 - Media collection

Content-Type: application/ld+json

PropertyTypeRequiredDescription
totalItemsinteger-
searchobject-
Show search fields
PropertyTypeRequiredDescription
@typestring-
templatestring-
variableRepresentationstring-
mappingobject[]-
Show mapping fields
PropertyTypeRequiredDescription
@typestring-
variablestring-
propertystring | null-
requiredboolean-
viewobject-
Show view fields
PropertyTypeRequiredDescription
@idstring-
@typestring-
firststring | null-
laststring | null-
previousstring | null-
nextstring | null-
memberMedia[]required
Show member fields
PropertyTypeRequiredDescription
@contextobject-
@idstringrequired
@typestringrequired
idstring-The resource's unique identifier (UUID).
contentUrlstring | null-The URL to fetch the uploaded file.
mimeTypestring | null-MIME type of the file
type"image" | "video" | "file"-Media type based on MIME type (image, video, or file)
hashstring | null-SHA256 hash of the file
dimensionsEmbeddedImageDimensionResource | null-
Show dimensions fields
PropertyTypeRequiredDescription
widthintegerrequiredImage width in pixels
heightintegerrequiredImage height in pixels
createdAtstring | null-
updatedAtstring | null-

Errors

403 - Access denied. The caller is missing one or more identity permissions required for this operation.

Content-Type: application/problem+json

PropertyTypeRequiredDescription
@contextobject-
@idstringrequired
@typestringrequired
typestring-
titlestring-
statusinteger-
detailstring-
missingPermissionsstring[]-Identity permissions that the caller is missing for this operation. Present only when the 403 is caused by a denied identity:* permission.